<template>
  <q-item v-if="title!='Logout'" :to="{name:route}" clickable exact>
    <q-item-section v-if="icon" avatar>
      <q-icon :name="icon" />
    </q-item-section>

    <q-item-section>
      <q-item-label>{{ title }}</q-item-label>
    </q-item-section>
  </q-item>

  <q-item v-else @click="logout" clickable exact>
    <q-item-section v-if="icon" avatar>
      <q-icon :name="icon" />
    </q-item-section>

    <q-item-section>
      <q-item-label>{{ title }}</q-item-label>
    </q-item-section>
  </q-item>
</template>

<script>
import { LocalStorage } from "quasar";

export default {
  name: "EssentialLink",
  methods: {
    logout() {
      this.$axios
        .get("/api/auth/logout")
        .then((response) => {
          this.$q.notify({
            message: response.data.message,
            color: "positive",
          });
          LocalStorage.set("loggedIn", false);
          this.$router.push({ name: "auth" });
        })
        .catch(() => {
          this.$q.notify({
            color: "negative",
            message: "Problem",
            icon: "report_problem",
          });
        });
    },
  },
  props: {
    title: {
      type: String,
      required: true,
    },

    caption: {
      type: String,
      default: "",
    },

    link: {
      type: String,
      default: "#",
    },

    icon: {
      type: String,
      default: "",
    },
    route: {
      type: String,
      default: "",
    },
  },
};
</script>
